Next Previous Contents

## 3.162 strupper

> Function

>   Make a string upper case.

> Header

>   `string.h`

> Declaration

>   `char* __fastcall__ strupper (char* s);`

> Description

>   The `strupper` function will apply the `toupper` function to each character of a string. The function will always return `s`.

> Limits

>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
>   - The function prototype is unavailable when compiling in strict ANSI mode.
>   - An alias name for this function is `strupr`.
> Availability

>   cc65

> See also

>   strlower toupper

> Example

>   None.

Next Previous Contents